明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1658|回复: 2

[求助]在ACAD中用VBA进行绘制圆台体或圆台面怎么做?-->mccad转移

[复制链接]
发表于 2002-3-28 13:12:00 | 显示全部楼层 |阅读模式
在ACAD中用VBA进行绘制圆台体或圆台面怎么做?
    我是这么做的,但是好麻烦,希望高手指点一二,不胜感激
    Dim circleObj As AcadCircle
    Dim centerPoint(0 To 2) As Double
    Dim radius As Double
    ' Define the circle
    centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0#
    radius = 5#
   
    Dim curves(0 To 0) As AcadEntity
    ' Create the Circle object in model space
    Set curves(0) = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius)
   
    Dim regionObj As Variant
    regionObj = ThisDrawing.ModelSpace.AddRegion(curves)
   
    Dim height As Double
    Dim taperAngle As Double
    height = 3
    taperAngle = 45 * 3.1415925 / 180
    Dim solidObj As Acad3DSolid
    Set solidObj = ThisDrawing.ModelSpace.AddExtrudedSolid(regionObj(0), height, taperAngle)
发表于 2002-3-28 14:59:00 | 显示全部楼层

就是你所说的这样做,还可以用SendCommand方法

用SendCommand方法需要使用专用的点及对象转换函数,在本站的二次开发->VBA->经验技巧中有介绍。
发表于 2004-9-18 14:03:00 | 显示全部楼层
这个程序不实用啊,只画一个固定的圆台有什么用?
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 00:37 , Processed in 0.190678 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表